Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class ReflectionMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod

    public class ReflectionMetaMethod
    extends MetaMethod

Field Summary
`protected CachedMethod` | `method`

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`ReflectionMetaMethod(CachedMethod method)`

Method Summary
`CachedClass` | `getDeclaringClass()`
`int` | `getModifiers()`
`String` | `getName()`
`protected Class[]` | `getPT()`
`Class` | `getReturnType()`
`Object` | `invoke(Object object, Object[] arguments)`
`String` | `toString()`

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### method

    protected final CachedMethod method

Constructor Detail

### ReflectionMetaMethod

    public ReflectionMetaMethod(CachedMethod method)

Method Detail

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getPT

    protected Class[] getPT()

### getReturnType

    public Class getReturnType()

### invoke

    public Object invoke(Object object, Object[] arguments)

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.